#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 17. Networking Libraries

- Prev

  libsoup-3.6.6

- Next

  neon-0.37.1

- Up
- Home

# libtirpc-1.3.7

## Introduction to libtirpc

The libtirpc package contains libraries that support programs that use the Remote Procedure Call (RPC) API. It replaces the RPC, but not the NIS library entries that used to be in glibc.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/libtirpc/libtirpc-1.3.7.tar.bz2

- Download MD5 sum: 74f97df306b8d6149d3d9898a1d44c6e

- Download size: 560 KB

- Estimated disk space required: 6.8 MB

- Estimated build time: less than 0.1 SBU

### libtirpc Dependencies

#### Optional

MIT Kerberos V5-1.22.2 for GSSAPI support

## Installation of libtirpc

### Note

If updating this package, you will also need to update any existing version of rpcbind-1.2.8

Install libtirpc by running the following commands:

    ./configure --prefix=/usr     \
                --sysconfdir=/etc \
                --disable-static  \
                --disable-gssapi  &&

    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--disable-gssapi`: This switch is needed if no GSSAPI providers are installed, such as MIT Kerberos V5-1.22.2. Remove this switch if you have installed MIT Kerberos V5-1.22.2 and you need to use the GSSAPI support.

## Contents

Installed Programs: None
Installed Libraries: libtirpc.so
Installed Directory: /usr/include/tirpc

### Short Descriptions

`libtirpc.so` | provides the Remote Procedure Call (RPC) API functions required by other programs

- Prev

  libsoup-3.6.6

- Next

  neon-0.37.1

- Up
- Home